0

I have an Ubuntu 16.04 64 bit installed (via dual boot) on a Dell Inspiron 15 3000. Every time I try to boot into Ubuntu, this error comes up, and I'm driven into emergency mode. The error

This problem has cropped up a couple of times earlier too. And I had to reinstall Ubuntu back then, but now I don't want to do that. Please help!

EDIT 1 (Sorry for the delay)

Output of dmesg | grep Command in emergency mode:

Command line: BOOT_IMAGE=/boot/vmlinuz-4.15.0-88-generic root=UUID=xxx ro quiet splash vt.handoff=7

Output of dmesg | grep Command in live USB session:

Command line: BOOT_IMAGE=/casper/vmlinuz file=/cdrom/preseed/ubuntu.seed boot=casper quiet splash ---

1

I doubt that the message you reference has any bearing on the failure to boot except into emergency mode. I rather suspect the ACPI errors and exceptions that precede it.

The message merely means that the requested firmware file for your wireless device isn't found as expected or else, very rarely, it may be corrupted. You can confirm this by blacklisting the wireless driver so that it doesn't look for the firmware and, presumably, hang. Once you are booted into emergency mode and gain the root prompt, do:

echo "blacklist ath10k_pci" >> /etc/modprobe.d/blacklist.conf
systemctl reboot

Now does it boot normally every time? If not, look elsewhere for the problem.

EDIT 1: Please boot and when you are in Emergency Mode, run:

dmesg | grep Command

You shoulld see something like:

[    0.000000] kernel: Command line: BOOT_IMAGE=/boot/vmlinuz-5.3.0-40-generic root=UUID=xxxx ro quiet splash vt.handoff=7

Now boot into the live USB session and do the same. Are there differences in the command line options for each? Please post both as an edit to your question.

Next, please interrupt the boot process at the GRUB menu. Are you able to select and boot into an earlier kernel version successfully?

| improve this answer | |
  • Thanks, but you're right, I still can't boot, only the 'failed to fetch...' error isn't being displayed anymore. What exactly is ACPI, and how do I solve the errors above? – Vatsal Srivastava Mar 8 at 6:04
  • Please see my edit above in a few minutes. – chili555 Mar 8 at 15:39
0

Since 16.04 will be EOL soon anyway, I would still consider re-installing/upgrading to atleast 18.04. Maybe a more recent kernel will solve you issue? You could verify this by booting into a live system.

| improve this answer | |
  • I can boot into a bootable USB even with Ubuntu 16 installed on it, just can't boot into the Ubuntu 16 installed on my hard disk – Vatsal Srivastava Mar 5 at 8:01

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.